import { Controller } from '@nestjs/common';
import { AppService } from './app.service';
import { EventPattern } from '@nestjs/microservices';

@Controller()
export class AppController {
  constructor(private readonly appService: AppService) {}

  @EventPattern({ cmd: 'archive.task.create' })
  async createArchiveTask(payload) {
    const { annotatorId, study } = payload;
    console.log(study);
    return 123;
  }
}
